### Knob

#### Basic

#### Disable Display Input

#### Cursor Mode

#### Display Previous Value

#### Angle Offset

#### Angle Offset And Arc

#### 4 Digit, Step 0.1

#### Overloaded Draw Method

#### Overload Draw Thickness

#### Superpose Clock

#### Read Only

#### Infinite

#### Responsive

#### Behaviors

- min : min value (default=0)
- max : max value (default=100)
- step : step size (default=1)
- angleOffset : starting angle in degrees (default=0)
- angleArc : arc size in degrees (default=360)
- stopper : stop at min & max on keydown/mousewheel (default=true)
- readOnly : disable input and events (default=false)
- rotation : direction of progression (default=clockwise)

#### UI

- cursor : display mode “cursor”, cursor size could be changed passing a numeric value to the option, default width is used when passing boolean value “true” (default=gauge)
- thickness : gauge thickness
- lineCap : gauge stroke endings (default=butt, round=rounded line endings)
- width : dial width
- height : dial height
- displayInput : display input (default=true)
- displayPrevious : displays the previous value with transparency (default=false)
- fgColor : foreground color
- inputColor : input value (number) color
- font : font family
- fontWeight : font weight
- bgColor : background color

#### Hooks

- ‘release’ : executed on release

  Parameters : + value : int, current value

- ‘change’ : executed at each change of the value

  Parameters : + value : int, current value

- ‘draw’ : when drawing the canvas

  Context : - this.g : canvas context 2D (see Canvas documentation) - this.$ : jQuery wrapped element - this.o : options - this.i : input - … console.log(this);

- ‘cancel’ : triggered on [esc] keydown

- ‘format’ : allows to format output (add unit %, ms …)

#### Theme Customizer

Customize & Preview in Real Time

##### Menu Color Options

##### Layout Options

Collapsed Menu
Fixed Layout
Boxed Layout
Static Layout
Native Scroll
Right Side Icons
Bordered Navigation
Flipped Navigation
Collapsible Navigation
Static Navigation
Brand Center
Static Top

##### Navigation Color Options

###### Solid

Default
Primary
Danger
Success
Blue
Cyan
Pink

###### Gradient

Default
Primary
Danger
Success
Blue
Cyan
Pink
Default
Primary
Danger
Success
Blue
Cyan
Pink

### Solid

Default
Primary
Danger
Success
Blue
Cyan
Pink

### Gradient

Default
Primary
Danger
Success
Blue
Cyan
Pink
Default
Primary
Danger
Success
Blue
Cyan
Pink
Buy Now